/* Tabela OPERGRUPOP: Item do Lanamento de Estoque */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na
tabela OPERGRUPOP */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela OPERGRUPOP, utilizando
a tabela Geral de Logs de Operaes */

CREATE OR REPLACE TRIGGER LOG_GER_OPERGRUPOP
AFTER DELETE OR INSERT OR UPDATE
ON OPERGRUPOP FOR EACH ROW
DECLARE
  V_USUARIO      VARCHAR2(40);
  V_TIPO         VARCHAR2(1);
  V_ITPESQ       VARCHAR2(40);
  V_DESC         VARCHAR2(300);
  V_DTOPER       DATE;

  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);

BEGIN
   V_TIPO := '0';
   V_DESC := '';
   IF DELETING THEN
      IF :OLD.CDGRUPOPER IS NOT NULL THEN
         V_DESC := V_DESC || 'Cod=' || :OLD.CDGRUPOPER;
      END IF;

      IF :OLD.IDMENUPRINOP IS NOT NULL THEN
         V_DESC := V_DESC || ' Menu=' || :OLD.IDMENUPRINOP;
      END IF;

      V_TIPO         := '3';
      V_ITPESQ       := :OLD.CDGRUPOPER || :OLD.CDOPERADOR;
   ELSE
      IF UPDATING THEN
         IF (:OLD.CDGRUPOPER   <> :NEW.CDGRUPOPER)   OR
            (:OLD.IDMENUPRINOP <> :NEW.IDMENUPRINOP) THEN

            V_TIPO         := '2';
            V_ITPESQ       := :OLD.CDGRUPOPER || :OLD.CDOPERADOR;
         END IF;
      ELSE
         V_TIPO         := '1';
         V_ITPESQ       := :NEW.CDGRUPOPER || :NEW.CDOPERADOR;
      END IF;

      IF :NEW.CDGRUPOPER IS NOT NULL THEN
         V_DESC := V_DESC || 'Cod=' || :NEW.CDGRUPOPER;
      END IF;

      IF :NEW.CDOPERADOR IS NOT NULL THEN
         V_DESC := V_DESC || ' Operador=' || :NEW.CDOPERADOR;
      END IF;

      IF :NEW.IDMENUPRINOP IS NOT NULL THEN
         V_DESC := V_DESC || ' Menu=' || :NEW.IDMENUPRINOP;
      END IF;

   END IF;
   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      WEBTUNNING(V_DSREMOTEADDR,
                 V_DSREMOTEHOST,
                 V_DSSERVERRDM,
                 V_DSSERVMETHOD,
                 V_DSREMOTEOPER);

      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;
            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER,
                IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('OPERGRUPOP',  V_DTOPER, V_USUARIO,
                V_TIPO,      V_ITPESQ, V_DESC,
                V_DSSERVERRDM, V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVMETHOD, V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_GER_OPERGRUPOP','4.09.060'); END;
/

