/*
   @C:\web_649\sql\end_conv\oracle\02TK_GERTRGO_LOG_DFE_RELACPRODSERV.sql
*/
CREATE OR REPLACE TRIGGER LOG_DFE_RELACPRODSERV
AFTER DELETE OR INSERT OR UPDATE
ON RELACPRODSERV FOR EACH ROW
DECLARE
  V_USUARIO   VARCHAR2(40);
  V_TIPO      VARCHAR2(1);
  V_ITPESQ    VARCHAR2(40);
  V_DESC      VARCHAR2(4000);
  V_DTOPER    DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN

   V_TIPO := '0';
   V_DESC := '';

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF DELETING THEN
      IF :OLD.CDPRODRELSERV IS NOT NULL THEN
         V_DESC := V_DESC || ' Cd_Prod_Serv=' || :OLD.CDPRODRELSERV;
      END IF;

      IF :OLD.CDSERVICOPROD IS NOT NULL THEN
         V_DESC := V_DESC || ' Cd_Servico=' || :OLD.CDSERVICOPROD;
      END IF;

      V_TIPO := '3';
      V_ITPESQ := :OLD.CDPRODRELSERV||:OLD.CDSERVICOPROD;
   ELSE
      IF UPDATING THEN
         IF (NVL(:OLD.CDPRODRELSERV,'!') <> NVL(:NEW.CDPRODRELSERV,'!')) OR
            (NVL(:OLD.CDSERVICOPROD,'!') <> NVL(:NEW.CDSERVICOPROD,'!')) THEN

            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDPRODRELSERV||:OLD.CDSERVICOPROD;
         END IF;
      ELSE
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDPRODRELSERV||:NEW.CDSERVICOPROD;
      END IF;

      IF NVL(:OLD.CDPRODRELSERV, '!') <>  NVL(:NEW.CDPRODRELSERV, '!') THEN
         V_DESC := V_DESC || ' Cd_Prod_Serv=' || :NEW.CDPRODRELSERV;
      END IF;

      IF NVL(:OLD.CDSERVICOPROD, '!') <>  NVL(:NEW.CDSERVICOPROD, '!') THEN
         V_DESC := V_DESC || ' Cd_Servico=' || :NEW.CDSERVICOPROD;
      END IF;

   END IF;
   IF V_TIPO <> '0' THEN
      IF NOT V_DESC IS NULL THEN
         NMUSUARIO(V_USUARIO);
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('RELACPRODSERV',  V_DTOPER, V_USUARIO,
                V_TIPO,         V_ITPESQ, SUBSTR(V_DESC, 0, 400),V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVERRDM,
                V_DSSERVMETHOD, V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_DFE_RELACPRODSERV','6.49.042'); END;
/
