CREATE TABLE PESSOAJURIDICANFE(
    DOCUMENTO 						  VARCHAR2(200),
    RAZAOSOCIAL 				      VARCHAR2(200), 
    NOMEFANTASIA 					  VARCHAR2(200), 
    CODIGOATIVIDADEECONOMICA 		  VARCHAR2(200), 
    CODIGOATIVIDADEECONOMICADESC 	  VARCHAR2(200),
    INSCRICAOESTADUAL 				  VARCHAR2(200),
	NRORG             				  NUMBER 	      DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO          				  VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        				  DATE            DEFAULT SYSDATE,
    DTULTATU          				  DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     				  NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    				  VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       				  NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      				  VARCHAR2(12)    DEFAULT '1',
			CONSTRAINT CKC_IDATIVO_PESSOAJURIDICANFE CHECK (IDATIVO IN ('S','N'))
)
/

ALTER TABLE PESSOAJURIDICANFE ADD CONSTRAINT PK_PESSOAJURIDICANFE PRIMARY KEY (DOCUMENTO)
/

CREATE TABLE PESSOAJURIDICANFE_ENDERECO(
	DOCUMENTO 		  VARCHAR2(200), 
	CEP 			  VARCHAR2(200), 
	LOGRADOURO 		  VARCHAR2(200), 
	NUMERO 			  VARCHAR2(200), 
	BAIRRO 			  VARCHAR2(200), 
	CIDADE		      VARCHAR2(200), 
	ESTADO 			  VARCHAR2(200), 
	TIPO		  	  VARCHAR2(200), 
	COMPLEMENTO 	  VARCHAR2(200),
	NRORG             NUMBER 	      DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        DATE            DEFAULT SYSDATE,
    DTULTATU          DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1',
		  CONSTRAINT CKC_PESSOAJURIDICANFE_ENDERECO CHECK (IDATIVO IN ('S','N'))
)
/

ALTER TABLE PESSOAJURIDICANFE_ENDERECO ADD CONSTRAINT PK_PESSOAJURIDICANFE_ENDERECO PRIMARY KEY (DOCUMENTO)
/

ALTER TABLE PESSOAJURIDICANFE_ENDERECO ADD CONSTRAINT FKPED00451PESSOAJURIDICANFE
    FOREIGN KEY (DOCUMENTO) REFERENCES PESSOAJURIDICANFE (DOCUMENTO) ON DELETE CASCADE
/

CREATE INDEX PED00451_FK ON PESSOAJURIDICANFE_ENDERECO (DOCUMENTO ASC)
/